## elmerfem 6.1.0.svn.5396.dfsg2

=== misc/netcdf/Makefile ===
################################################
### Compiles the libraries, by Vili Forsell
################################################

##### MACROS

# Paths:
MODULE_PATH =./src/GridDataMapper/
GEN_PATH =./src/Generators/
POST_PATH =./src/Postprocess/

TMP_PATH =./tmp/
BACKUP_PATH =./Backup/
BIN_PATH =./bin/
SRC_PATH =./src/
TEST_PATH =./tests/
DOC_PATH =./doc/

VPATH = $(MODULE_PATH)

# Work directory; chosen to be called "data" and assumed to contain mesh files, ELMER_STARTINFO, case.sif, etc.
WORK_DIRECTORY = ./data/

ROOT_FILES = Makefile README

# The modules used by the main program
SOLVER_SRC = NetCDFGeneralUtils.f90 NetCDFGridUtils.f90 NetCDFInterpolate.f90 CustomTimeInterpolation.f90 MapperUtils.f90
SOLVER_OBJS =  $(SOLVER_SRC:.f90=.o)
SOLVER_MAIN = GridDataMapper.f90 cs2cs_interface.c
SOLVER_OUTFILE = GridLib.so

GEN_SRC = $(wildcard $(GEN_PATH)*.f90) $(wildcard $(GEN_PATH)*.cc)
GEN_OBJS = $(addsuffix .o, $(basename $(shell find $(GEN_PATH) -name *.cc )) $(basename $(shell find $(GEN_PATH) -name *.f90)) $(basename $(shell find $(GEN_PATH) -name *.c)) )
GEN_MAIN = $(addsuffix .o, $(basename $(GEN_SRC)))
# outputs to the file names themselves

POST_SRC = $(wildcard $(POST_PATH)*.f90) $(wildcard $(POST_PATH)*.cc)
POST_OBJS = $(addsuffix .o, $(basename $(shell find $(POST_PATH) -name *.cc )) $(basename $(shell find $(POST_PATH) -name *.f90)) $(basename $(shell find $(POST_PATH) -name *.c)) )
POST_MAIN = $(addsuffix .o, $(basename $(POST_SRC)))
# outputs to the file names of the root themselves

ALL_HEADERS = $(shell find $(SRC_PATH) -name *.hh) $(shell find $(SRC_PATH) -name *.h)
HEADER_PATHS = $(sort $(dir $(ALL_HEADERS))) # sort removes duplicates

# Compilers
COMPILER_F90 = elmerf90
COMPILER_F90_2 = gfortran
COMPILER_CXX = g++
COMPILER_C = gcc

# Includes NetCDF and such from the include directory
INCLUDE_FLAGS = -I/usr/include $(foreach hdr, $(HEADER_PATHS), -I$(hdr))
# NetCDF library path and flags to catch the necessary headers
LIBRARY_FLAGS = -L/usr/lib -lnetcdff -lnetcdf -lproj $(addprefix -L, $(TMP_PATH))
# The shared library (.so) for using in Elmer via a Solver Input File

# Packaging macros for easily transporting latest backups elsewhere
PACKET = GridMap.tar
TEST_PACKET = Tests
TAR_FLAGS = cf

##### RULES

# Builds the shared library for Elmer
solver: $(SOLVER_OBJS)
	@echo COMPILES THE GRID_DATA_MAPPER
	@$(COMPILER_F90) $(INCLUDE_FLAGS) $(LIBRARY_FLAGS) -J$(TMP_PATH) $(addprefix $(TMP_PATH), $^) $(addprefix $(MODULE_PATH), $(SOLVER_MAIN)) -o $(addprefix $(BIN_PATH), $(SOLVER_OUTFILE))

generator: $(GEN_OBJS)
	@echo COMPILES THE DATA/TEST GENERATORS
	@$(foreach file, $(notdir $(wildcard $(GEN_PATH)*.f90)), $(if $(file),$(COMPILER_F90_2) $(INCLUDE_FLAGS) $(LIBRARY_FLAGS) $(addprefix $(TMP_PATH), $(addsuffix .o, $(basename $(file)))) -o $(addprefix $(BIN_PATH), $(basename $(file)));))
	@$(foreach file, $(notdir $(wildcard $(GEN_PATH)*.cc)), $(if $(file), $(COMPILER_CXX) $(addprefix $(TMP_PATH), $(addsuffix .o, $(basename $(file)))) -o $(addprefix $(BIN_PATH), $(basename $(file)));))
	@$(foreach file, $(notdir $(wildcard $(GEN_PATH)*.c)), $(if $(file), $(COMPILER_C) $(addprefix $(TMP_PATH), $(addsuffix .o, $(basename $(file)))) -o $(addprefix $(BIN_PATH), $(basename $(file)));))

postprocessor: $(POST_OBJS) 
	@echo COMPILES THE POSTPROCESSOR
	@$(foreach file, $(notdir $(POST_MAIN)), $(COMPILER_CXX) $(addprefix $(TMP_PATH), $(notdir $(POST_OBJS))) -o $(addprefix $(BIN_PATH), $(basename $(file)));)

%.o: %.f90
	@$(COMPILER_F90) -c $(INCLUDE_FLAGS) $(LIBRARY_FLAGS) $? -J$(TMP_PATH) -o $(addprefix $(TMP_PATH), $(notdir $@))

%.o: %.cc
	@$(COMPILER_CXX) -c $(INCLUDE_FLAGS) $(LIBRARY_FLAGS) $? -J$(TMP_PATH) -o $(addprefix $(TMP_PATH), $(notdir $@))

%.o: %.c
	@$(COMPILER_C) -c $(INCLUDE_FLAGS) $(LIBRARY_FLAGS) $? -J$(TMP_PATH) -o $(addprefix $(TMP_PATH), $(notdir $@))

# Cleans extra stuff
clean:
	@rm $(TMP_PATH)* $(BIN_PATH)*

# Saves the work in a backup location
save:	pack
	@echo Saving files
	@- @cp -r $(DOC_PATH) $(SRC_PATH) $(ROOT_FILES) $(BACKUP_PATH)

# Too large to copy just as files; so they're compressed first
save_tests:
	@echo Packing all tests
	$(foreach folder, $(wildcard $(TEST_PATH)*), tar $(TAR_FLAGS) $(addprefix $(BACKUP_PATH), $(TEST_PACKET)_$(notdir $(folder)).tar) $(folder);)

# Packs the work for transportation
pack:
	@echo Packing development files
	@tar $(TAR_FLAGS) $(addprefix $(BACKUP_PATH), $(PACKET)) $(SRC_PATH) $(DOC_PATH) $(ROOT_FILES)

=== elmerparam/src/R/Makefile ===
all:

install:
	R CMD build elmerparam
	R CMD INSTALL -l /usr/local/lib/R elmerparam

distdir: clean
	cp -r ./* $(distdir)/

clean:
	rm -f elmerparam/src/*.{o,so}

check:

=== elmerparam/src/matlab/Makefile ===
all: elmer_param.

elmer_param.: elmer_param.c
	mex elmer_param.c -I.. -L.. -lelmerparam -lm

install: elmer_param.
	cp elmer_param. /usr/local/lib

distdir: clean
	cp -r ./* $(distdir)/

clean:
	rm -f elmer_param.

check:

=== elmerparam/test/input_output_1/Makefile ===
all: foobar

include ../make.inc

FCFLAGS += $(MODSEARCH_OPT)$(SRC)
LIBS = -L$(SRC) -lelmerparamf -lelmerparam -L${PREFIX}/lib -lmatc

.SUFFIXES:
.SUFFIXES: .f .f90 .o

.f90.o:
	$(FC) -c $(FCFLAGS) $<


foobar: foobar.o 
	$(FC) $(FCFLAGS) -o $@ $? $(LIBS)

foobar.o: foobar.f90

clean:
	rm -rf *.o *.mod foobar result save.dat test.log bar foo

=== elmerparam/test/input_output_2/Makefile ===
all: buuhuu

include ../make.inc

CFLAGS += -I$(SRC)
FCFLAGS += $(MODSEARCH_OPT)$(SRC)
LIBS = -L$(SRC) -lelmerparam -L${PREFIX}/lib -lmatc -lm

.SUFFIXES:
.SUFFIXES: .f .f90 .o .c

.f90.o:
	$(FC) -c $(FCFLAGS) $<

.c.o:
	$(CC) -c $(CFLAGS) $<


buuhuu: buuhuu.o
	$(CC) $(CFLAGS) -o $@ $? $(LIBS)

buuhuu.o: buuhuu.c

clean:
	rm -rf *.o *.mod buuhuu result buu result test.log

=== elmerparam/test/input_output_3/Makefile ===
all: buuhuu

include ../make.inc

CFLAGS += -I$(SRC)
FCFLAGS += $(MODSEARCH_OPT)$(SRC)
LIBS = -L$(SRC) -lelmerparamf -lelmerparam -L${PREFIX}/lib -lmatc

.SUFFIXES:
.SUFFIXES: .f .f90 .o .c

.f90.o:
	$(FC) -c $(FCFLAGS) $<

.c.o:
	$(CC) -c $(CFLAGS) $<


buuhuu: buuhuu.o
	$(FC) $(FCFLAGS) -o $@ $? $(LIBS)

buuhuu.o: buuhuu.f90

clean:
	rm -rf *.o *.mod buuhuu buu result test.log

=== elmerparam/test/matc/Makefile ===
all:

include ../make.inc

clean:
	rm -f input test.log

=== elmerparam/test/matc2/Makefile ===
all:

include ../make.inc

clean:
	rm -f input test.log umm buu

=== elmerparam/test/shell_1/Makefile ===
all:

include ../make.inc

clean:
	rm -rf input output muu test.log

=== elmerparam/test/sim_mgr/Makefile ===
all: runopt

include ../make.inc

FCFLAGS += $(MODSEARCH_OPT)$(SRC)
LIBS = -L$(SRC) -lelmerparamf -lelmerparam -L${PREFIX}/lib -lmatc

.SUFFIXES:
.SUFFIXES: .f .f90 .o

.f90.o:
	$(FC) -c $(FCFLAGS) $<


runopt: runopt.o 
	$(FC) $(FCFLAGS) -o $@ $? $(LIBS)

runopt.o: runopt.f90

clean:
	rm -rf *.o *.mod runopt *.dat mesh scalars.dat scalars.dat.names test.log

=== fem/tests/1dtests/Makefile ===
# A poisson equation solver and several 1d test cases
#
run:
	$(F90) -c Poisson.f90 Source.f90
	$(LD) -o Poisson$(SHL_EXT) Poisson$(OBJ_EXT) $(LIBS)
	$(LD) -o Source$(SHL_EXT) Source$(OBJ_EXT) $(LIBS)
	$(ELMER_GRID) 1 2 1d -decimals 20
	$(ELMER_SOLVER)


clean:
	/bin/rm test.log temp.log mon.out Poisson$(SHL_EXT) Poisson$(OBJ_EXT) Source$(SHL_EXT) Source$(OBJ_EXT) so_locations
	/bin/rm -r 1d

=== fem/tests/2ndtime/Makefile ===
# test 2nd order time integration
#
run:
	$(F90) -c TimeIntegrate.f90 Source.f90
	$(LD) -o TimeIntegrate$(SHL_EXT) TimeIntegrate$(OBJ_EXT) $(LIBS)
	$(LD) -o Source$(SHL_EXT) Source$(OBJ_EXT) $(LIBS)
	$(ELMER_SOLVER)


clean:
	/bin/rm test.log temp.log mon.out TimeIntegrate$(SHL_EXT) TimeIntegrate$(OBJ_EXT)
	/bin/rm Source$(SHL_EXT) Source$(OBJ_EXT) so_locations

=== debian/changelog ===
elmerfem (6.1.0.svn.5396.dfsg2-4ubuntu1) trusty; urgency=low

  * Use autotools-dev and dh-autoreconf for newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 09 Feb 2014 16:12:14 -0500

elmerfem (6.1.0.svn.5396.dfsg2-4) unstable; urgency=medium

  * Add build dependency on libpng-dev.
  * Update debian/rules to fix build with new autotools. (Closes: #724201)
    [Thanks to Peter Michael Green]

 -- Boris Pek <tehnick@debian.org>  Tue, 17 Dec 2013 20:30:59 +0400

elmerfem (6.1.0.svn.5396.dfsg2-3) unstable; urgency=low

  [ Boris Pek ]
  * Add debian/patches/add-NAMESPACE-for-elmerparam-R-module.patch:
    fix FTBFS with r-base-core >= 3.0.0. (Closes: #707872)

  [ Sébastien Villemot ]
  * Update debian/control:
    - update names of BLAS/LAPACK packages in Build-Depends
    - add matlab-support to Build-Conflicts
      (otherwise the package FTBFS in elmerparam subdirectory)

 -- Boris Pek <tehnick@debian.org>  Wed, 07 Aug 2013 00:30:48 +0300

elmerfem (6.1.0.svn.5396.dfsg2-2) unstable; urgency=low

  * Add myself to Uploaders. (See: #691875)
  * Remove usr/bin/ElmerGUI* from debian/elmer.files. (Closes: #698527)
  * Remove usr/bin/ElmerClips from debian/elmer.files. 
  * Remove usr/share/ElmerGUI* from debian/elmer-common.files.
  * Remove files which became useless after removing ElmerGUI:
    - debian/*.desktop
    - debian/README.Debian
    - debian/elmer.config
    - debian/elmer.config
    - debian/elmer.docs
    - debian/elmer.postinst
    - debian/elmer.prerm
    - debian/elmer.templates
    - debian/patches/ElmerGUI-config.patch
    - debian/patches/ElmerGUI-no-strip.patch
    - debian/patches/glu.patch
    - debian/patches/lib-link-order.patch
    - debian/patches/libav_071.patch
    - debian/patches/no-avcore.patch
    - debian/patches/no-tetgen.patch
    - debian/patches/node-partition.patch
    - debian/po/*
  * Update debian/rules and debian/patches/series to fit changes above.
  * Remove extra build dependencies:
    liboce-modeling-dev, libqt4-dev, qt4-qmake, libqt4-opengl-dev,
    libqwt5-qt4-dev, libvtk5-qt4-dev, python-qt4-dev,
    libavcodec-dev, libavutil-dev, libswscale-dev
  * Remove package elmergui-samples.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 05 Feb 2013 21:50:05 +0200

elmerfem (6.1.0.svn.5396.dfsg2-1) unstable; urgency=low

  * Team upload.
  * Delete non-free and unnecessary files from tarball:
    - ElmerGUI/Application/plugins/tetgen.h
    - misc/tetgen_plugin/*
    (Closes: #687954)
  * Add debian/patches/no-tetgen.patch: fix build without tetgen plugin.
  * Add script debian/elmerfem_get-orig-source.sh.
  * Add get-orig-source section in debian/rules.
  * Update debian/copyright:
    - update debian/copyright in according to Copyright format 1.0
    - add missed copyright holders and licenses
    - add info how to repack orig tarball

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 24 Sep 2012 20:21:17 +0300

elmerfem (6.1.0.svn.5396.dfsg-5.2) unstable; urgency=low

  * Non-maintainer upload.

  [ Tormod Volden ]
  * debian/patches/glu.patch:
    - Fix FTBFS by linking with GLU (Closes: #663944, #671907).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 26 May 2012 00:51:10 +0200

elmerfem (6.1.0.svn.5396.dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #660894
    - Dutch; (Jeroen Schot).  Closes: #661126
    - Polish (Michał Kułach).  Closes: #667943

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Apr 2012 08:52:33 +0200

elmerfem (6.1.0.svn.5396.dfsg-5) unstable; urgency=low

  * Have libelmer-dev conflict with older versions of elmer providing elmerf90
    etc. (closes: #659190).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 13 Feb 2012 15:19:54 -0500

=== debian/control ===
Source: elmerfem
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Boris Pek <tehnick@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5), quilt, po-debconf, autoconf, automake,
 gfortran, libblas-dev | libblas.so, liblapack-dev | liblapack-3.so,
 mpi-default-dev, mpi-default-bin,
 libhypre-dev, libsuitesparse-dev, libarpack2-dev, libparpack2-dev,
 libmumps-scotch-dev,
 libreadline-dev, libncurses5-dev,
 libx11-dev, tk8.5-dev, tcl8.5-dev, libfreetype6-dev,
 libftgl-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 libscotchmetis-dev, r-base-core, libpng-dev, dh-autoreconf, autotools-dev
Build-Conflicts: libatlas3-base, libatlas-base-dev, gcc-multilib,
 matlab-support
Vcs-Git: git://git.debian.org/git/debian-science/packages/elmerfem.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/elmerfem.git
Homepage: http://www.csc.fi/elmer/

Package: elmer
Architecture: any
Section: science
Depends: elmer-common (= ${source:Version}), ${shlibs:Depends}, mpi-default-bin, ${misc:Depends}
Conflicts: elmer-common (<< 5.5.0.svn.4499.dfsg-1)
Suggests: elmer-doc
Description: finite element multiphysics suite - binaries
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the Elmer binaries, including the solver (single- and
 multi-processor versions), GUI, and post-processor.

Package: elmer-dbg
Architecture: any
Section: debug
Depends: elmer (= ${binary:Version}), ${misc:Depends}
Description: finite element multiphysics suite - debugging symbols
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the debugging symbols for binaries in the elmer package.

Package: elmer-common
Architecture: all
Section: science
Depends: ttf-freefont, ${misc:Depends}
Recommends: elmer (>= ${source:Version})
Description: finite element multiphysics suite - architecture-independent files
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the architecture-independent files for Elmer.

Package: libelmersolver-6.1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libelmer-dev
Conflicts: libelmersolver-5.4.1
Replaces: libelmersolver-5.4.1
Description: finite element multiphysics suite - library
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the Elmer solver shared library.

Package: libelmersolver-dbg
Architecture: any
Section: debug
Depends: libelmersolver-6.1 (= ${binary:Version}), ${misc:Depends}
Description: finite element multiphysics suite - library debugging symbols
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the Elmer solver shared library's debugging symbols.

Package: libelmer-dev
Architecture: any
Depends: elmer (= ${binary:Version}), libelmersolver-6.1 (= ${binary:Version}),
 libhypre-dev, libsuitesparse-dev, libarpack2-dev, libmumps-scotch-dev,
 libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
 mpi-default-dev, mpi-default-bin, gfortran, ${misc:Depends}
Conflicts: elmer-common (<< 5.5.0.svn.4499.dfsg-1), elmer (<< 5.5.0.svn.5210.dfsg-1)
Section: libdevel
Description: finite element multiphysics suite - development files
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package contains the static libraries and header files for eio, huti, and
 matc, as well as the Elmer solver shared library symlink. These are used for
 developing Elmer, and are not needed to run the software.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

DEB_VER = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-[0-9]*/\3/p')

package=elmer

# Support multiple makes at once
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NJOBS := 1
endif

ELMER_MODULES = eio matc elmerparam hutiter meshgen2d fem front elmergrid post

# The build process modifies these files, so we need to move them aside in
# order for the clean process to restore the tree to its original state
BACKUP_FILES = eio/Makefile.in eio/configure eio/include/Makefile.in \
  eio/src/Makefile.in elmergrid/Makefile.in elmergrid/aclocal.m4 \
  elmergrid/configure elmergrid/src/Makefile.in elmerparam/Makefile.in \
  elmerparam/aclocal.m4 elmerparam/config.h.in elmerparam/configure \
  elmerparam/src/Makefile.in elmerparam/src/R/Makefile \
  elmerparam/src/R/elmerparam/src/Makevars elmerparam/src/matlab/Makefile \
  elmerparam/test/Makefile.in fem/Makefile.in fem/aclocal.m4 fem/config.h \
  fem/configure fem/stamp-h1 fem/src/Makefile.in fem/src/binio/Makefile.in \
  fem/src/binio/test/Makefile.in fem/src/view3d/Makefile.in \
  fem/src/viewaxis/Makefile.in fem/tests/Makefile.in fem/tests/runtests \
  front/Makefile.in front/aclocal.m4 front/configure front/include/Makefile.in\
  front/src/Makefile.in front/src/tcl/ecif_tcl_mainScript.tcl \
  hutiter/Makefile.in hutiter/configure hutiter/examples/Makefile.in \
  hutiter/examples/ex1/Makefile.in hutiter/include/Makefile.in \
  hutiter/src/Makefile.in matc/Makefile.in matc/aclocal.m4 matc/configure \
  matc/src/Makefile.in meshgen2d/Makefile.in meshgen2d/aclocal.m4 \
  meshgen2d/configure meshgen2d/src/Makefile.in \
  meshgen2d/src/include/Makefile.in post/Makefile.in post/aclocal.m4 \
  post/configure post/src/Makefile.in post/src/camera/Makefile.in \
  post/src/elements/Makefile.in post/src/glaux/Makefile.in \
  post/src/graphics/Makefile.in post/src/modules/Makefile.in \
  post/src/objects/Makefile.in post/src/sico2elmer/Makefile.in \
  post/src/tcl/Makefile.in post/src/tk/Makefile.in \
  post/src/visuals/Makefile.in

MISSING_FILES = eio/NEWS eio/README eio/AUTHORS eio/ChangeLog \
  matc/NEWS matc/README matc/AUTHORS matc/ChangeLog matc/COPYING \
  meshgen2d/NEWS meshgen2d/README meshgen2d/AUTHORS meshgen2d/ChangeLog \
  meshgen2d/COPYING meshgen2d/INSTALL \
  fem/NEWS fem/AUTHORS fem/ChangeLog fem/COPYING fem/INSTALL \
  front/NEWS front/README front/AUTHORS front/COPYING front/INSTALL \
  elmergrid/NEWS elmergrid/README elmergrid/AUTHORS elmergrid/ChangeLog \
  elmergrid/COPYING elmergrid/INSTALL elmergrid/src/metis/Makefile.am \
  post/NEWS post/AUTHORS post/ChangeLog post/COPYING post/INSTALL

clean: patch
	dh_testdir
	for elmermodule in $(ELMER_MODULES); do \
	  if [ -e $$elmermodule/Makefile ]; then \
	    echo; echo CLEANING ELMER MODULE $$elmermodule; echo; \
	    make -C $$elmermodule maintainer-clean; \
	  fi; \
	done
	for missingfile in $(MISSING_FILES); do rm -f $$missingfile; done
	for backupfile in $(BACKUP_FILES); do \
	  if [ -e $$backupfile.bak ]; then \
	    mv -f $$backupfile.bak $$backupfile; \
	  fi; \
	done
	rm -rf elmergrid/src/metis post/src/fonts/TrueType
	rm -f stamp-*
	if [ -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt pop -a && rm -rf .pc; \
	fi
	rm -f eio/aclocal.m4
	rm -f hutiter/aclocal.m4
	dh_autotools-dev_restoreconfig
	dh_autoreconf_clean
	dh_clean

patch:
	if [ ! -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt push -a; \
	fi

# In a bit of a hack, the "build" target configures, builds and installs, so
# modules can depend on each other
build: stamp-build
build-arch: stamp-build
build-indep: stamp-build
stamp-build: patch
	dh_testdir
	for backupfile in $(BACKUP_FILES); do \
	  cp -a $$backupfile $$backupfile.bak; \
	done
	dh_autotools-dev_updateconfig
	mkdir elmergrid/src/metis
	install -d post/src/fonts/TrueType
	for missingfile in $(MISSING_FILES); do touch $$missingfile; done
#	for aclocaldir in eio matc elmerparam hutiter meshgen2d fem front elmergrid post; do \
#	  echo Running aclocal/automake in module $$aclocaldir; \
#	  (cd $$aclocaldir && aclocal && automake --add-missing); \
#	done
	dh_autoreconf
	set -e; for elmermodule in $(ELMER_MODULES); do \
	  echo; echo CONFIGURING ELMER MODULE $$elmermodule; echo; \
	  (cd $$elmermodule && \
#	   autoconf && \
	   LIBS="-L$(CURDIR)/debian/tmp/usr/lib" \
	     CPPFLAGS="$(CPPFLAGS) -I$(CURDIR)/debian/tmp/usr/include -I/usr/include/freetype2" \
	     FCPPFLAGS="$(FCPPFLAGS) -I$(CURDIR)/debian/tmp/usr/include" \
	     CFLAGS="$(CFLAGS) -I$(CURDIR)/debian/tmp/usr/include -fPIC" \
	     CXXFLAGS="$(CXXFLAGS) -I$(CURDIR)/debian/tmp/usr/include -I/usr/include/freetype2 -fPIC" \
	     FCFLAGS="$(FCFLAGS) -I$(CURDIR)/debian/tmp/usr/include -fPIC" \
	     ./configure --prefix=/usr --with-metis=/usr \
	       --with-mpi-dir=/usr --with-mpi-inc-dir=/usr/include/mpi \
	       --with-blas=-lblas --with-lapack=-llapack \
	       --with-mumps=dmumps_scotch); \
	  echo; echo BUILDING ELMER MODULE $$elmermodule; echo; \
	  make -C $$elmermodule; \
	  echo; echo INSTALLING ELMER MODULE $$elmermodule; echo; \
	  make -C $$elmermodule install DESTDIR=$(CURDIR)/debian/tmp; \
	done
# Last shifts and cleanups
	mv debian/tmp/usr/share/elmerpost/modules debian/tmp/usr/lib/elmerpost
	ln -s ../../lib/elmerpost debian/tmp/usr/share/elmerpost/modules
	rm -rf debian/tmp/usr/share/elmerpost/fonts/TrueType
	(cd debian/tmp/usr/share/elmerpost/fonts && \
	 ln -s ../../fonts/truetype/freefont TrueType)
	rm -f debian/tmp/usr/share/elmerpost/help/html_library-0.3/license.terms
	mv debian/tmp/usr/share/elmersolver/lib debian/tmp/usr/lib/elmersolver
	ln -s ../../lib/elmersolver debian/tmp/usr/share/elmersolver/lib
	rm -f debian/tmp/usr/lib/elmersolver/libelmersolver*
	chmod -x debian/tmp/usr/lib/elmersolver/*
	chmod -x debian/tmp/usr/share/elmersolver/include/*
	chmod -x debian/tmp/usr/share/elmerpost/help/*.html
	chmod -x debian/tmp/usr/share/elmerpost/help/*.tcl
	chmod -x debian/tmp/usr/share/elmerpost/help/figs/*
	chmod -x debian/tmp/usr/share/elmerpost/help/html_library-0.3/*
	chmod -x debian/tmp/usr/share/elmerpost/help/matc/*.gif
	chmod -x debian/tmp/usr/share/elmerpost/help/matc/*.html
	chmod -x debian/tmp/usr/share/elmerpost/help/matc/lh-figs/*
	chmod -x debian/tmp/usr/share/elmerfront/lib/*
	chmod -x debian/tmp/usr/share/elmerfront/tcl/*.tcl*
	chmod -x debian/tmp/usr/share/elmerfront/tcl/*.edf
	chmod -x debian/tmp/usr/share/elmerfront/tcl/images/*
	chmod -x debian/tmp/usr/share/elmerpost/lib/rgb.txt
	chmod -x debian/tmp/usr/share/elmerpost/lib/cameras/*
	chmod -x debian/tmp/usr/share/elmerpost/lib/colormaps/*
	chmod -x debian/tmp/usr/share/elmerpost/lib/images/*
	chmod -x debian/tmp/usr/share/elmerpost/tcl/*
	chmod -x debian/tmp/usr/lib/R/elmerparam/DESCRIPTION
	mv debian/tmp/usr/lib/elmersolver debian/tmp/usr/lib/elmersolver-6.1
	install -d debian/tmp/usr/share/applications
	touch $@

binary-indep: patch
	dh_testdir -i
	dh_testroot -i
	dh_movefiles -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch:
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a
	dh_movefiles -a
	dh_installdebconf -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_strip -pelmer --dbg-package=elmer-dbg
	dh_strip -plibelmersolver-6.1 --dbg-package=libelmersolver-dbg
	dh_makeshlibs -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep

.PHONY: build binary-indep binary-arch binary

get-orig-source:
	$(CURDIR)/debian/elmerfem_get-orig-source.sh $(DEB_VER)

## elmerfem 7.0.svn.6034+dfsg

=== debian/changelog ===
elmerfem (7.0.svn.6034+dfsg-2) experimental; urgency=low

  [ Boris Pek ]
  * Add debian/patches/add-NAMESPACE-for-elmerparam-R-module.patch:
    fix FTBFS with r-base-core >= 3.0.0. (Closes: #707872)
  * Update debian/control:
    - package libelmersolver-7.0 replaces and conflicts with libelmersolver-6.1
    - update Vcs-* fields: fix lintian notes vcs-field-not-canonical
    - change maintainer name from "Debian Science Maintainers" to
      "Debian Science Team"
  * Update debian/*.desktop:
    - add Keywords fields
      (fix lintian notes desktop-entry-lacks-keywords-entry)
    - update Categories and Exec fields
      (fix errors and hints found by desktop-file-validate)
  * Simplify debian/elmer.lintian-overrides and
    debian/libelmersolver-7.0.lintian-overrides:
    few false positives for lintian tag hardening-no-fortify-functions were
    fixed in lintian.

  [ Sébastien Villemot ]
  * Update debian/control:
    - update names of BLAS/LAPACK packages in Build-Depends
    - add matlab-support to Build-Conflicts
      (otherwise the package FTBFS in elmerparam subdirectory)

 -- Boris Pek <tehnick@debian.org>  Sat, 10 Aug 2013 16:54:08 +0300

elmerfem (7.0.svn.6034+dfsg-1) experimental; urgency=low

  * New upstream revision.
  * Add myself to Uploaders. (See: #691875)
  * Bump Standards-Version to 3.9.4 (was 3.9.2).
  * Bump debhelper version to 8 (was 5); update debian/compat.
  * Rename package libelmersolver-6.1 to libelmersolver-7.0 and update
    all related files.
  * Fix lintian notes maintainer-script-without-set-e and
    package-contains-empty-directory.
  * Update debian/patches/no-tetgen.patch.
  * Update debian/patches/libav_071.patch.
  * Update debian/patches/no-avcore.patch: add description.
  * Update debian/control:
    - fix lintian notes binary-control-field-duplicates-source
    - fix lintian notes conflicts-with-version
  * Update debian/rules:
    - fix package build twice a row
    - use hardening flags in compiler options
    - add -Wl,--as-needed to LDFLAGS
    - use bzip2 compression for the binary packages
    - fix get-orig-source section in according with Debian Policy §4.9
  * Update debian/elmerfem_get-orig-source.sh:
    - new version scheme (fix lintian note dfsg-version-with-period)
    - use xz compression for orig tarball
    - small cosmetic fixes
  * Update debian/*.desktop:
    fix lintian notes desktop-entry-contains-encoding-key.
  * Add debian/patches/fix-build-with-hardening-compiler-options.patch:
    fix FTBFS with GCC >= 4.7 and hardening compiler options.
  * Add debian/patches/add-linking-flags-for-elmerparam-library.patch:
    use additional linking flags for elmerparam shared library.
  * Add debian/patches/fix-spelling-errors.patch.
  * Add debian/libelmersolver-7.0.lintian-overrides:
    - ignore false positives for lintian tags hardening-no-relro and
      hardening-no-fortify-functions: these modules are compiled by gfortran,
      so LDFLAGS and CPPFLAGS variables are not applicable
    - ignore false positives for lintian tag spelling-error-in-binary
  * Add debian/elmer.lintian-overrides:
    - ignore false positives for lintian tag hardening-no-fortify-functions
    - ignore false positives for lintian tag spelling-error-in-binary
  * Add debian/libelmer-dev.lintian-overrides:
    ignore lintian note arch-dep-package-has-big-usr-share:
    size of compressed package is less than 4 MiB, so there is no reason
    to move directory usr/share/elmersolver/include/ into separate package.
  * Add debian/elmer-common.lintian-overrides:
    ignore lintian notes package-contains-broken-symlink:
    these symlinks point to directories from other packages.
  * Add debian/watch: fix lintian note debian-watch-file-is-missing.
  * Delete debian/README.source: there are no useful information in it.
  * Update debian/copyright.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 23 Mar 2013 21:11:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: elmerfem
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Boris Pek <tehnick@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 5), quilt, po-debconf, autoconf, automake,
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 8), quilt, po-debconf, autoconf, automake,
  gfortran, libblas-dev | libblas.so, liblapack-dev | liblapack-3.so,
  mpi-default-dev, mpi-default-bin,
  libhypre-dev, libsuitesparse-dev, libarpack2-dev, libparpack2-dev,
@@ -13,18 +12,19 @@
  libreadline-dev, libncurses5-dev,
  libx11-dev, tk8.5-dev, tcl8.5-dev, libfreetype6-dev,
  libftgl-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
- libscotchmetis-dev, r-base-core, libpng-dev, dh-autoreconf, autotools-dev
+ liboce-modeling-dev, libqt4-dev, qt4-qmake, libqt4-opengl-dev,
+ libqwt5-qt4-dev, libvtk5-qt4-dev (>= 5.8), python-qt4-dev, libscotchmetis-dev,
+ r-base-core, libavcodec-dev, libavutil-dev, libswscale-dev
 Build-Conflicts: libatlas3-base, libatlas-base-dev, gcc-multilib,
  matlab-support
-Vcs-Git: git://git.debian.org/git/debian-science/packages/elmerfem.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/elmerfem.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/elmerfem.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/elmerfem.git
 Homepage: http://www.csc.fi/elmer/
 
 Package: elmer
 Architecture: any
-Section: science
 Depends: elmer-common (= ${source:Version}), ${shlibs:Depends}, mpi-default-bin, ${misc:Depends}
-Conflicts: elmer-common (<< 5.5.0.svn.4499.dfsg-1)
+Breaks: elmer-common (<< 5.5.0.svn.4499.dfsg-1)
 Suggests: elmer-doc
 Description: finite element multiphysics suite - binaries
  The Elmer multiphysics simulation package includes physical models of
@@ -44,8 +44,8 @@
  multi-processor versions), GUI, and post-processor.
 
 Package: elmer-dbg
+Section: debug
 Architecture: any
-Section: debug
 Depends: elmer (= ${binary:Version}), ${misc:Depends}
 Description: finite element multiphysics suite - debugging symbols
  The Elmer multiphysics simulation package includes physical models of
@@ -65,7 +65,6 @@
 
 Package: elmer-common
 Architecture: all
-Section: science
 Depends: ttf-freefont, ${misc:Depends}
 Recommends: elmer (>= ${source:Version})
 Description: finite element multiphysics suite - architecture-independent files
@@ -84,13 +83,13 @@
  .
  This package provides the architecture-independent files for Elmer.
 
-Package: libelmersolver-6.1
+Package: libelmersolver-7.0
+Section: libs
 Architecture: any
-Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libelmer-dev
-Conflicts: libelmersolver-5.4.1
-Replaces: libelmersolver-5.4.1
+Replaces: libelmersolver-5.4.1, libelmersolver-6.1
+Conflicts: libelmersolver-5.4.1, libelmersolver-6.1
 Description: finite element multiphysics suite - library
  The Elmer multiphysics simulation package includes physical models of
  fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
@@ -108,9 +107,9 @@
  This package provides the Elmer solver shared library.
 
 Package: libelmersolver-dbg
+Section: debug
 Architecture: any
-Section: debug
-Depends: libelmersolver-6.1 (= ${binary:Version}), ${misc:Depends}
+Depends: libelmersolver-7.0 (= ${binary:Version}), ${misc:Depends}
 Description: finite element multiphysics suite - library debugging symbols
  The Elmer multiphysics simulation package includes physical models of
  fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
@@ -128,13 +127,13 @@
  This package provides the Elmer solver shared library's debugging symbols.
 
 Package: libelmer-dev
+Section: libdevel
 Architecture: any
-Depends: elmer (= ${binary:Version}), libelmersolver-6.1 (= ${binary:Version}),
+Depends: elmer (= ${binary:Version}), libelmersolver-7.0 (= ${binary:Version}),
  libhypre-dev, libsuitesparse-dev, libarpack2-dev, libmumps-scotch-dev,
  libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
  mpi-default-dev, mpi-default-bin, gfortran, ${misc:Depends}
-Conflicts: elmer-common (<< 5.5.0.svn.4499.dfsg-1), elmer (<< 5.5.0.svn.5210.dfsg-1)
-Section: libdevel
+Breaks: elmer-common (<< 5.5.0.svn.4499.dfsg-1), elmer (<< 5.5.0.svn.5210.dfsg-1)
 Description: finite element multiphysics suite - development files
  The Elmer multiphysics simulation package includes physical models of
  fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
@@ -152,3 +151,16 @@
  This package contains the static libraries and header files for eio, huti, and
  matc, as well as the Elmer solver shared library symlink. These are used for
  developing Elmer, and are not needed to run the software.
+
+Package: elmergui-samples
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: elmer, elmer-doc
+Description: ElmerGUI samples directory
+ The Elmer multiphysics simulation package includes physical models of
+ fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
+ acoustics, among others. These are described by partial differential equations
+ which Elmer solves by the Finite Element Method (FEM).
+ .
+ This package contains the ElmerGUI samples directory with files needed to run
+ some of the tutorials in the elmer-doc package.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
FFLAGS:=$(shell dpkg-buildflags --get FFLAGS) $(CPPFLAGS)
FCFLAGS:=$(shell dpkg-buildflags --get FFLAGS) $(CPPFLAGS)
export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS FFLAGS FCFLAGS

Q_OPTS = "QMAKE_CXXFLAGS += $(CXXFLAGS)" "QMAKE_LFLAGS += $(LDFLAGS)"

# get-orig-source target may be called from any directory by policy
PKG_ROOT := $(dir $(realpath $(lastword $(MAKEFILE_LIST))))
PKG_ROOT := $(realpath $(PKG_ROOT)/..)
DEB_VER = $(shell cd $(PKG_ROOT) && dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-[0-9]*/\3/p')

package=elmer

ELMER_MODULES = eio matc elmerparam hutiter meshgen2d fem front elmergrid post

# The build process modifies these files, so we need to move them aside in
# order for the clean process to restore the tree to its original state
BACKUP_FILES = eio/Makefile.in eio/configure eio/include/Makefile.in \
  eio/src/Makefile.in elmergrid/Makefile.in elmergrid/aclocal.m4 \
  elmergrid/configure elmergrid/src/Makefile.in elmerparam/Makefile.in \
  elmerparam/aclocal.m4 elmerparam/config.h.in elmerparam/configure \
  elmerparam/src/Makefile.in elmerparam/src/R/Makefile \
  elmerparam/src/R/elmerparam/src/Makevars elmerparam/src/matlab/Makefile \
  elmerparam/test/Makefile.in fem/Makefile.in fem/aclocal.m4 fem/config.h \
  fem/configure fem/stamp-h1 fem/src/Makefile.in fem/src/binio/Makefile.in \
  fem/src/binio/test/Makefile.in fem/src/view3d/Makefile.in \
  fem/src/viewaxis/Makefile.in fem/tests/Makefile.in fem/tests/runtests \
  front/Makefile.in front/aclocal.m4 front/configure front/include/Makefile.in\
  front/src/Makefile.in front/src/tcl/ecif_tcl_mainScript.tcl \
  hutiter/Makefile.in hutiter/configure hutiter/examples/Makefile.in \
  hutiter/examples/ex1/Makefile.in hutiter/include/Makefile.in \
  hutiter/src/Makefile.in matc/Makefile.in matc/aclocal.m4 matc/configure \
  matc/src/Makefile.in meshgen2d/Makefile.in meshgen2d/aclocal.m4 \
  meshgen2d/configure meshgen2d/src/Makefile.in \
  meshgen2d/src/include/Makefile.in post/Makefile.in post/aclocal.m4 \
  post/configure post/src/Makefile.in post/src/camera/Makefile.in \
  post/src/elements/Makefile.in post/src/glaux/Makefile.in \
  post/src/graphics/Makefile.in post/src/modules/Makefile.in \
  post/src/objects/Makefile.in post/src/sico2elmer/Makefile.in \
  post/src/tcl/Makefile.in post/src/tk/Makefile.in \
  post/src/visuals/Makefile.in ElmerGUIlogger/ElmerGUIlogger.pro \
  fem/src/modules/Makefile.in

MISSING_FILES = eio/NEWS eio/README eio/AUTHORS eio/ChangeLog \
  matc/NEWS matc/README matc/AUTHORS matc/ChangeLog matc/COPYING \
  meshgen2d/NEWS meshgen2d/README meshgen2d/AUTHORS meshgen2d/ChangeLog \
  meshgen2d/COPYING meshgen2d/INSTALL \
  fem/NEWS fem/AUTHORS fem/ChangeLog fem/COPYING fem/INSTALL \
  front/NEWS front/README front/AUTHORS front/COPYING front/INSTALL \
  elmergrid/NEWS elmergrid/README elmergrid/AUTHORS elmergrid/ChangeLog \
  elmergrid/COPYING elmergrid/INSTALL elmergrid/src/metis/Makefile.am \
  post/NEWS post/AUTHORS post/ChangeLog post/COPYING post/INSTALL \
  fem/test.cpp

# This needs patch because otherwise ElmerGUI clean won't work
clean: patch
	dh_testdir
	for elmermodule in $(ELMER_MODULES); do \
	  if [ -e $$elmermodule/Makefile ]; then \
	    echo; echo CLEANING ELMER MODULE $$elmermodule; echo; \
	    make -C $$elmermodule maintainer-clean; \
	  fi; \
	done
	if [ -e ElmerGUI/Makefile ]; then \
	  export DEB_PY_VERSION=$(shell pyversions -d); \
	  make -C ElmerGUI distclean; \
	fi
	if [ -e ElmerGUIlogger/Makefile ]; then \
	  make -C ElmerGUIlogger distclean; \
	fi
	if [ -e utils/ElmerClips/Makefile ]; then \
	  make -C utils/ElmerClips distclean; \
	fi 
	for missingfile in $(MISSING_FILES); do rm -f $$missingfile; done
	for backupfile in $(BACKUP_FILES); do \
	  if [ -e $$backupfile.bak ]; then \
	    mv -f $$backupfile.bak $$backupfile; \
	  fi; \
	done
	rm -rf elmergrid/src/metis post/src/fonts/TrueType
	rm -rf ElmerGUI/PythonQt/lib ElmerGUI/matc/lib ElmerGUI/netgen/ngcore
	rm -f stamp-*
	if [ -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt pop -a && rm -rf .pc; \
	fi
	dh_clean

patch:
	if [ ! -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt push -a; \
	fi

# In a bit of a hack, the "build" target configures, builds and installs, so
# modules can depend on each other
build: stamp-build
build-arch: stamp-build
build-indep: stamp-build
stamp-build: patch
	dh_testdir
	for backupfile in $(BACKUP_FILES); do \
	  cp -a $$backupfile $$backupfile.bak; \
	done
	mkdir elmergrid/src/metis
	install -d post/src/fonts/TrueType
	for missingfile in $(MISSING_FILES); do touch $$missingfile; done
	for aclocaldir in eio matc elmerparam hutiter meshgen2d fem front elmergrid post; do \
	  echo Running aclocal/automake in module $$aclocaldir; \
	  (cd $$aclocaldir && aclocal && automake); \
	done
	set -e; for elmermodule in $(ELMER_MODULES); do \
	  echo; echo CONFIGURING ELMER MODULE $$elmermodule; echo; \
	  (cd $$elmermodule && \
	   autoconf && \
	   LIBS="-L$(CURDIR)/debian/tmp/usr/lib" \
	     CPPFLAGS="$(CPPFLAGS) -I$(CURDIR)/debian/tmp/usr/include -I/usr/include/freetype2" \
	     FCPPFLAGS="$(FCPPFLAGS) -I$(CURDIR)/debian/tmp/usr/include" \
	     CFLAGS="$(CFLAGS) -I$(CURDIR)/debian/tmp/usr/include -fPIC" \
	     CXXFLAGS="$(CXXFLAGS) -I$(CURDIR)/debian/tmp/usr/include -I/usr/include/freetype2 -fPIC" \
	     FFLAGS="$(FFLAGS) -I$(CURDIR)/debian/tmp/usr/include -fPIC" \
	     FCFLAGS="$(FCFLAGS) -I$(CURDIR)/debian/tmp/usr/include -fPIC" \
	     ./configure --prefix=/usr --with-metis=/usr \
	       --with-mpi-dir=/usr --with-mpi-inc-dir=/usr/include/mpi \
	       --with-blas=-lblas --with-lapack=-llapack \
	       --with-mumps=dmumps_scotch); \
	  echo; echo BUILDING ELMER MODULE $$elmermodule; echo; \
	  make -C $$elmermodule; \
	  echo; echo INSTALLING ELMER MODULE $$elmermodule; echo; \
	  make -C $$elmermodule install DESTDIR=$(CURDIR)/debian/tmp; \
	done
	echo; echo BUILDING ELMER MODULE ElmerGUI; echo
	(set -e; cd ElmerGUI; \
	  export DEB_PY_VERSION=$(shell pyversions -d); \
	  export ELMER_HOME=/usr; \
	  export ELMERGUI_HOME=/usr/share/ElmerGUI; \
	  qmake $(Q_OPTS); \
	  make)
	(cd ElmerGUIlogger && ELMER_HOME=/usr ELMERGUI_HOME=/usr/share/ElmerGUI qmake -project && ELMER_HOME=/usr ELMERGUI_HOME=/usr/share/ElmerGUI qmake $(Q_OPTS) && ELMER_HOME=/usr ELMERGUI_HOME=/usr/share/ElmerGUI make)
	echo; echo INSTALLING ELMER MODULE ElmerGUI; echo
	make -C ElmerGUI install ELMER_HOME=/usr ELMERGUI_HOME=/usr/share/ElmerGUI INSTALL_ROOT=$(CURDIR)/debian/tmp
	mv debian/tmp/usr/share/ElmerGUI/ElmerGUI debian/tmp/usr/bin/
	for edf_file in helmholtz navier-stokes resultoutput heatequation \
	    linearelasticity k-epsilon meshdeform; do \
	  mv debian/tmp/usr/share/ElmerGUI/edf/$$edf_file.xml \
	    debian/tmp/usr/share/ElmerGUI/edf-extra/; \
	done
	cp ElmerGUIlogger/ElmerGUIlogger debian/tmp/usr/bin/
	(cd utils/ElmerClips/ && qmake $(Q_OPTS) && make)
	install utils/ElmerClips/ElmerClips debian/tmp/usr/bin/ElmerClips
# Last shifts and cleanups
	mv debian/tmp/usr/share/elmerpost/modules debian/tmp/usr/lib/elmerpost
	ln -s ../../lib/elmerpost debian/tmp/usr/share/elmerpost/modules
	rm -rf debian/tmp/usr/share/elmerpost/fonts/TrueType
	(cd debian/tmp/usr/share/elmerpost/fonts && \
	 ln -s ../../fonts/truetype/freefont TrueType)
	rm -f debian/tmp/usr/share/elmerpost/help/html_library-0.3/license.terms
	mv debian/tmp/usr/share/elmersolver/lib debian/tmp/usr/lib/elmersolver
	ln -s ../../lib/elmersolver debian/tmp/usr/share/elmersolver/lib
	rm -f debian/tmp/usr/lib/elmersolver/libelmersolver*
	install -d debian/tmp/usr/share/ElmerGUI/icons
	cp -a ElmerGUI/Application/icons/Mesh3D.png debian/tmp/usr/share/ElmerGUI/icons
	chmod -x debian/tmp/usr/lib/elmersolver/*

=== debian/watch ===
# This file is useful only for checking current version. You can use script
# debian/elmerfem_get-orig-source.sh to get the orig tarball.

version=3
opts=dversionmangle=s/.*svn.(.*).dfsg.*/$1/ \
  http://elmerfem.svn.sourceforge.net/viewvc/elmerfem/trunk \
    .*elmerfem.*revision=([\d]+) \
  debian debian/elmerfem_get-orig-source.sh
